FC2ブログ
 
■プロフィール

クリエイトウェーブ

Author:クリエイトウェーブ
開発における、諸々を書いていきたいなと思っています。
mail : info@createwave.jp

■最近の記事
■カテゴリー
■最近のコメント
■月別アーカイブ

■最近のトラックバック
■ブログ内検索

■RSSフィード
■リンク
import firebase from 'firebase' でエラー
訳あって、Vue勉強しはじめたのですが、FireBase認証やってみようと思いました。
VueでFireBase認証やってる人は多いみたいでサンプルとか多いので苦戦はしないだろうと思っていたら、落とし穴が・・・

import firebase from 'firebase'
がうまくいかない。
エラーメッセージでは、
npm install --save firebase
を実行しなさいとか出てるけど、そんな事はとっくにやってるよ〜

海外サイトとか色々見てみましたが、いっこうに解決しそうな気がしない。諦めかけたときに別視点でググって、!と思う情報を発見。

FirebaseのバージョンがV8からV9に上がってるらしく、2021年9月時点では、
npm install --save firebase
ではV9が入るもよう。そしてこれが厄介なのだが
import firebase from 'firebase' では読み込めないように書式が変わってしまっていた。

おいおいおいおい・・・ と思いながら、じゃあどう書くんだと調べたら
import firebase from 'firebase/compat';

でちゃんと動くようになります。
ただこの書き方は、V8で作られてるソースをV9で互換性を高めるための書き方で、V9の書き方はまた別のがあるようです。
とりあえずネットみてもV8のサンプルばかりなので、
import firebase from 'firebase/compat';
でしばらくはいこうと思います。

こういうのが一番疲れる。。。


カテゴリー:FireBase | TM(0) | CM(0)